/*
* chsums/2q4g-ds5.cpp
*
* This file is part of NJet library
* Copyright (C) 2011, 2012 NJet Collaboration
*
* This software is distributed under the terms of the GNU General Public License (GPL)
*/

#include <cassert>

#include "2q5g-ds.h"

// ============================================================================
// class Amp2q5g_ds5
// ============================================================================

template <typename T>
Amp2q5g_ds5<T>::Amp2q5g_ds5(const T scalefactor,
                            const int mFC, const NJetAmpTables& tables)
  : BaseClass(scalefactor, mFC, tables)
{
  initNc();
}

template <typename T>
void Amp2q5g_ds5<T>::setNc(const ST Nc_)
{
  BaseClass::setNc(Nc_);
  initNc();
}

template <typename T>
void Amp2q5g_ds5<T>::initNc()
{
  const ST t222 = Nc*Nc;
  const ST t225 = Nc*t222;
  const ST t4 = 360.*t225;
  const ST t386 = -t4;
  const ST t385 = t4;
  const ST t384 = 480.*t225;
  const ST t226 = t222*t222;
  const ST t219 = Nc*t226;
  const ST t383 = 120.*Nc+120.*t219;
  const ST t228 = t225*t225;
  const ST t217 = Nc*t228;
  const ST t382 = 120.*Nc+120.*t217;
  const ST t38 = -4.+t222;
  const ST t11 = 2.*t38;
  const ST t381 = -t11;
  const ST t380 = t11;
  const ST t16 = 120.*Nc;
  const ST t379 = -t16;
  const ST t215 = t16;
  const ST t378 = 5.*t228;
  const ST t39 = 22.*t226;
  const ST t377 = -t39;
  const ST t376 = 10.*t226;
  const ST t375 = Nc*V;
  const ST t56 = 120.*t219;
  const ST t374 = -t56;
  const ST t373 = t56;
  const ST t223 = 1./Nc;
  const ST t61 = 120.*t223;
  const ST t372 = -t61;
  const ST t371 = t61;
  const ST t66 = 120.*t225;
  const ST t370 = -t66;
  const ST t63 = t66;
  const ST t62 = 240.*t225;
  const ST t68 = 3.*t38*0.5;
  const ST t369 = -t68;
  const ST t72 = t38*0.5;
  const ST t368 = -t72;
  const ST t367 = t72;
  const ST t366 = t68;
  const ST t365 = t219*V;
  const ST t364 = t225*V;
  const ST t36 = -2.+t222;
  const ST t196 = 2.*t226;
  const ST t363 = -1.+t196;
  const ST t94 = 6.*t222;
  const ST t211 = -t94;
  const ST t362 = -1.+t211;
  const ST t361 = -1.+t226;
  const ST t230 = t226*t226;
  const ST t360 = -1.+t230;
  const ST t204 = 4.*t222;
  const ST t359 = 1.+t204;
  const ST t358 = 1.+t226;
  const ST t357 = 1.+t228;
  const ST t97 = 5.*t222;
  const ST t210 = -t97;
  const ST t286 = t210+t226;
  const ST t356 = t222*(4.+t286);
  const ST t214 = -9.*t222;
  const ST t355 = t222*(4.+t214+t196);
  const ST t354 = -600.+289.*t228*0.5;
  const ST t41 = 5.*t228*0.5;
  const ST t353 = -600.+t41;
  const ST t45 = -t41;
  const ST t352 = -600.+t45;
  const ST t115 = 178.*t226;
  const ST t351 = -600.+t115;
  const ST t350 = -600.-t115;
  const ST t122 = 332.*t222;
  const ST t349 = -600.+t122;
  const ST t124 = 304.*t222;
  const ST t348 = -600.-t124;
  const ST t98 = -t122;
  const ST t347 = -600.+t98;
  const ST t346 = -336.+293.*t226*0.5;
  const ST t147 = 3.*t228*0.5;
  const ST t44 = -t147;
  const ST t345 = -336.+t44;
  const ST t46 = -9.*t228*0.5;
  const ST t344 = -336.+t46;
  const ST t24 = 123.*t226*0.5;
  const ST t343 = -288.+t24;
  const ST t152 = 120.*t222;
  const ST t342 = -288.+t152;
  const ST t92 = -242.*t222;
  const ST t341 = -288.+t92;
  const ST t340 = -288.-248.*t222;
  const ST t339 = -42.+t226;
  const ST t338 = 84.+t226;
  const ST t337 = 144.+165.*t222;
  const ST t188 = 3.*t222;
  const ST t208 = -t188;
  const ST t287 = t208+t226;
  const ST t334 = t222*(-4.+t287);
  const ST t34 = 1.+t222;
  const ST t333 = t34*t219;
  const ST t332 = t36*t219;
  const ST t331 = t36*t225;
  const ST t330 = t38*t222;
  const ST t329 = t38*t226;
  const ST t216 = 368.*t222;
  const ST t328 = -600.-t216;
  const ST t218 = 10.*t228;
  const ST t106 = -t218;
  const ST t327 = -600.+t106;
  const ST t220 = 18.*t228;
  const ST t113 = -t220;
  const ST t326 = -600.+t113;
  const ST t221 = 92.*t226;
  const ST t325 = -600.+t221;
  const ST t227 = 12.*t226;
  const ST t324 = -600.-t227;
  const ST t229 = 48.*t222;
  const ST t323 = -600.+t229;
  const ST t156 = 32.*t222;
  const ST t322 = -600.+t156;
  const ST t167 = -t156;
  const ST t321 = -600.+t167;
  const ST t171 = -t229;
  const ST t320 = -600.+t171;
  const ST t181 = 4.*t228;
  const ST t319 = -600.+t181;
  const ST t182 = 3.*t228;
  const ST t318 = -600.+t182;
  const ST t185 = -t182;
  const ST t317 = -600.+t185;
  const ST t186 = -t181;
  const ST t316 = -600.+t186;
  const ST t315 = -336.+t106;
  const ST t231 = 14.*t228;
  const ST t109 = -t231;
  const ST t314 = -336.+t109;
  const ST t232 = 16.*t228;
  const ST t313 = -336.-t232;
  const ST t312 = -336.-20.*t228;
  const ST t154 = 38.*t222;
  const ST t311 = -336.+t154;
  const ST t310 = -336.-28.*t222;
  const ST t179 = 7.*t228;
  const ST t309 = -336.+t179;
  const ST t387 = 6.*t228;
  const ST t308 = -336.+t387;
  const ST t388 = 2.*t228;
  const ST t184 = -t388;
  const ST t307 = -336.+t184;
  const ST t306 = -336.+t186;
  const ST t187 = -t378;
  const ST t305 = -336.+t187;
  const ST t304 = -336.-t179;
  const ST t303 = -288.-15.*t228;
  const ST t302 = -288.-22.*t228;
  const ST t391 = 25.*t228;
  const ST t117 = -t391;
  const ST t301 = -288.+t117;
  const ST t300 = -288.+80.*t226;
  const ST t155 = 36.*t222;
  const ST t299 = -288.+t155;
  const ST t393 = 18.*t222;
  const ST t298 = -288.+t393;
  const ST t394 = 8.*t228;
  const ST t189 = -t394;
  const ST t297 = -288.+t189;
  const ST t144 = 13.*t226;
  const ST t296 = 168.+t144;
  const ST t295 = 168.+61.*t222;
  const ST t192 = 7.*t226;
  const ST t294 = 168.+t192;
  const ST t42 = t147;
  const ST t293 = t156+t42;
  const ST t224 = V*V;
  const ST t292 = t225*t224;
  const ST t190 = 9.*t226;
  const ST t291 = t190+t211;
  const ST t290 = 8.*t226+t222;
  const ST t397 = 7.*t222;
  const ST t212 = -t397;
  const ST t289 = t196+t212;
  const ST t398 = 2.*t222;
  const ST t207 = -t398;
  const ST t288 = t207+t226;
  const ST t285 = t211+t226;
  const ST t284 = -120.*t375;
  const ST t12 = 103.*t228*0.5;
  const ST t283 = -t12-496.*t222;
  const ST t27 = 59.*t228*0.5;
  const ST t282 = t27-172.*t222;
  const ST t281 = -180.*t222-9.*t228;
  const ST t280 = -572.*t222-29.*t228;
  const ST t279 = -624.*t222+238.*t226;
  const ST t278 = -596.*t222+169.*t226;
  const ST t277 = -480.*t222+166.*t226;
  const ST t276 = t228-t358;
  const ST t203 = t97;
  const ST t275 = t203+t357;
  const ST t274 = -120.*t331;
  const ST t205 = t188;
  const ST t273 = (-8.+t205)*t368;
  const ST t414 = 4.*t226;
  const ST t198 = -t414;
  const ST t272 = t198+t204+t228;
  const ST t271 = t12+t226-228.*t222;
  const ST t270 = 29.*t226*0.5;
  const ST t269 = 124.*t226;
  const ST t268 = 11.*t228*0.5;
  const ST t267 = 15.*t228*0.5;
  const ST t266 = 17.*t228*0.5;
  const ST t265 = 19.*t228*0.5;
  const ST t264 = 21.*t228*0.5;
  const ST t263 = 23.*t228*0.5;
  const ST t262 = 27.*t228*0.5;
  const ST t261 = 33.*t228*0.5;
  const ST t260 = 35.*t228*0.5;
  const ST t259 = 37.*t228*0.5;
  const ST t258 = 49.*t228*0.5;
  const ST t257 = 55.*t228*0.5;
  const ST t256 = 57.*t228*0.5;
  const ST t255 = 69.*t228*0.5;
  const ST t254 = 81.*t228*0.5;
  const ST t253 = 85.*t228*0.5;
  const ST t252 = 115.*t228*0.5;
  const ST t251 = -704.*t222+338.*t226-33.*t228;
  const ST t250 = -600.-t258;
  const ST t249 = -336.-t266;
  const ST t248 = -336.-t265;
  const ST t247 = -336.-t264;
  const ST t246 = -336.-t263;
  const ST t245 = -336.-t262;
  const ST t244 = -336.-t259;
  const ST t243 = -336.-41.*t228*0.5;
  const ST t242 = -288.-t267;
  const ST t241 = -288.-t264;
  const ST t240 = -288.-29.*t228*0.5;
  const ST t239 = -352.*t222-63.*t228*0.5;
  const ST t238 = -272.*t222-t268;
  const ST t237 = -240.*t222-89.*t228*0.5;
  const ST t236 = -224.*t222-t261;
  const ST t235 = t266-388.*t222;
  const ST t234 = -688.*t222+302.*t226-95.*t228*0.5;
  const ST t233 = -880.*t222+430.*t226-135.*t228*0.5;
  const ST t434 = 8.*t222;
  const ST t213 = -t434;
  const ST t209 = -t204;
  const ST t206 = t398;
  const ST t202 = t397;
  const ST t201 = t434;
  const ST t200 = -t190;
  const ST t435 = 6.*t226;
  const ST t199 = -t435;
  const ST t436 = 3.*t226;
  const ST t197 = -t436;
  const ST t195 = t436;
  const ST t194 = 5.*t226;
  const ST t193 = t435;
  const ST t183 = t388;
  const ST t178 = t394;
  const ST t437 = 91.*t222;
  const ST t177 = -t437;
  const ST t438 = 84.*t222;
  const ST t176 = -t438;
  const ST t175 = -78.*t222;
  const ST t440 = 64.*t222;
  const ST t174 = -t440;
  const ST t441 = 56.*t222;
  const ST t173 = -t441;
  const ST t442 = 52.*t222;
  const ST t172 = -t442;
  const ST t443 = 43.*t222;
  const ST t170 = -t443;
  const ST t169 = -t154;
  const ST t444 = 34.*t222;
  const ST t168 = -t444;
  const ST t166 = -31.*t222;
  const ST t446 = 23.*t222;
  const ST t164 = -t446;
  const ST t163 = -t393;
  const ST t162 = -13.*t222;
  const ST t161 = 10.*t222;
  const ST t160 = 12.*t222;
  const ST t158 = 22.*t222;
  const ST t157 = 25.*t222;
  const ST t153 = 46.*t222;
  const ST t150 = t437;
  const ST t149 = -86.*t226;
  const ST t148 = -26.*t226;
  const ST t146 = 11.*t226;
  const ST t145 = t227;
  const ST t142 = 15.*t226;
  const ST t141 = 17.*t226;
  const ST t140 = 18.*t226;
  const ST t139 = 19.*t226;
  const ST t138 = t39;
  const ST t137 = 28.*t226;
  const ST t136 = 29.*t226;
  const ST t135 = 30.*t226;
  const ST t134 = 34.*t226;
  const ST t133 = 37.*t226;
  const ST t132 = 40.*t226;
  const ST t131 = 46.*t226;
  const ST t130 = 52.*t226;
  const ST t129 = 60.*t226;
  const ST t128 = 62.*t226;
  const ST t127 = 66.*t226;
  const ST t126 = 73.*t226;
  const ST t125 = 76.*t226;
  const ST t123 = 90.*t226;
  const ST t121 = 93.*t226;
  const ST t120 = 98.*t226;
  const ST t119 = -34.*t228;
  const ST t451 = 26.*t228;
  const ST t118 = -t451;
  const ST t116 = -23.*t228;
  const ST t453 = 17.*t228;
  const ST t112 = -t453;
  const ST t454 = 13.*t228;
  const ST t108 = -t454;
  const ST t455 = 11.*t228;
  const ST t107 = -t455;
  const ST t105 = t218;
  const ST t104 = t455;
  const ST t103 = t220;
  const ST t456 = 544.*t222;
  const ST t102 = -t456;
  const ST t100 = -348.*t222;
  const ST t99 = -338.*t222;
  const ST t96 = -274.*t222;
  const ST t460 = 252.*t222;
  const ST t95 = -t460;
  const ST t461 = 244.*t222;
  const ST t93 = -t461;
  const ST t462 = 226.*t222;
  const ST t91 = -t462;
  const ST t90 = -210.*t222;
  const ST t89 = -208.*t222;
  const ST t465 = 202.*t222;
  const ST t88 = -t465;
  const ST t466 = 192.*t222;
  const ST t87 = -t466;
  const ST t467 = 186.*t222;
  const ST t86 = -t467;
  const ST t85 = -182.*t222;
  const ST t84 = -174.*t222;
  const ST t83 = -158.*t222;
  const ST t471 = 156.*t222;
  const ST t82 = -t471;
  const ST t472 = 154.*t222;
  const ST t81 = -t472;
  const ST t473 = 134.*t222;
  const ST t80 = -t473;
  const ST t474 = 128.*t222;
  const ST t79 = -t474;
  const ST t78 = -126.*t222;
  const ST t77 = -124.*t222;
  const ST t477 = 112.*t222;
  const ST t76 = -t477;
  const ST t478 = 108.*t222;
  const ST t75 = -t478;
  const ST t74 = 101.*t222;
  const ST t73 = t477;
  const ST t71 = t474;
  const ST t70 = 144.*t222;
  const ST t69 = t471;
  const ST t67 = t124;
  const ST t65 = t216;
  const ST t64 = t456;
  const ST t60 = 111.*t226;
  const ST t59 = 124.*t226;
  const ST t58 = 138.*t226;
  const ST t57 = 164.*t226;
  const ST t55 = 197.*t226;
  const ST t54 = 198.*t226;
  const ST t53 = 270.*t226;
  const ST t52 = 240.*t219;
  const ST t51 = 360.*t219;
  const ST t50 = 480.*t219;
  const ST t49 = t226*0.5;
  const ST t48 = 3.*t226*0.5;
  const ST t47 = 5.*t226*0.5;
  const ST t479 = t228*0.5;
  const ST t43 = -t479;
  const ST t40 = -12.*t228;
  const ST t37 = -3.+t222;
  const ST t35 = -1.+t206;
  const ST t33 = 1.+t205;
  const ST t32 = 2.+t222;
  const ST t31 = 3.+t222;
  const ST t30 = t34*t34;
  const ST t29 = t225+t219;
  const ST t28 = 43.*t228*0.5;
  const ST t26 = 107.*t226*0.5;
  const ST t25 = 117.*t226*0.5;
  const ST t23 = 139.*t226*0.5;
  const ST t22 = 149.*t226*0.5;
  const ST t21 = 183.*t226*0.5;
  const ST t20 = 211.*t226*0.5;
  const ST t19 = 221.*t226*0.5;
  const ST t18 = 255.*t226*0.5;
  const ST t17 = 281.*t226*0.5;
  const ST t15 = 311.*t226*0.5;
  const ST t14 = 381.*t226*0.5;
  const ST t13 = 387.*t226*0.5;
  const ST t9 = t210+t363;
  const ST t8 = t209+t361;
  const ST t7 = -1.+t287;
  const ST t6 = -1.+t288;
  const ST t3 = t201+t377+t378;
  const ST t481 = 14.*t226;
  const ST t2 = t201-t481+t182;
  const ST t1 = t201+t376+t185;
  NmatDS[0] = 0.;
  NmatDS[1] = t52;
  NmatDS[2] = t373;
  NmatDS[3] = t62;
  NmatDS[4] = t32*t373;
  NmatDS[5] = 120.*t217;
  NmatDS[6] = t63;
  NmatDS[7] = -120.*t332;
  NmatDS[8] = t274;
  NmatDS[9] = -t329;
  NmatDS[10] = 120.*Nc+120.*t225;
  NmatDS[11] = t374;
  NmatDS[12] = 120.*t29;
  NmatDS[13] = t6*t379;
  NmatDS[14] = -120.*t364;
  NmatDS[15] = t284;
  NmatDS[16] = 240.*t217;
  NmatDS[17] = t215;
  NmatDS[18] = -NmatDS[5];
  NmatDS[19] = t224*t215;
  NmatDS[20] = t51;
  NmatDS[21] = 120.*t333;
  NmatDS[22] = 240.*t29;
  NmatDS[23] = t8*t379;
  NmatDS[24] = t8*t372;
  NmatDS[25] = (t195+t362)*t372;
  const ST t486 = 120.*t365;
  NmatDS[26] = -t486;
  NmatDS[27] = -2.*t356;
  NmatDS[28] = -240.*t364;
  NmatDS[29] = (2.+t288)*t63;
  NmatDS[30] = t6*t370;
  const ST t490 = 240.*t365;
  NmatDS[31] = -t490;
  NmatDS[32] = t32*t63;
  NmatDS[33] = (t197+t275)*t371;
  NmatDS[34] = t9*t379;
  NmatDS[35] = -2.*t330;
  NmatDS[36] = t215+t385;
  NmatDS[37] = (t213+t361)*t372;
  NmatDS[38] = t6*t372;
  NmatDS[39] = t9*t372;
  NmatDS[40] = -t52;
  NmatDS[41] = t33*t330;
  NmatDS[42] = t201+t193+t184;
  NmatDS[43] = t330;
  NmatDS[44] = 240.*t333;
  NmatDS[45] = 120.*t292;
  NmatDS[46] = t385-t51+t382;
  NmatDS[47] = t37*t374;
  NmatDS[48] = t3;
  NmatDS[49] = t204-t141+t181;
  NmatDS[50] = -t1;
  NmatDS[51] = t329;
  NmatDS[52] = t356;
  NmatDS[53] = -2.*t329;
  NmatDS[54] = t213+t140+t186;
  NmatDS[55] = (t205+t197+t357)*t371;
  NmatDS[56] = (t198+t275)*t371;
  NmatDS[57] = (t202-t194+t357)*t371;
  NmatDS[58] = t38*t370;
  NmatDS[59] = t7*t379;
  NmatDS[60] = (t212+t276)*t372;
  NmatDS[61] = (t210+t276)*t372;
  NmatDS[62] = (t208+t276)*t372;
  NmatDS[63] = (t214+t228+t361)*t372;
  NmatDS[64] = t361*t379;
  NmatDS[65] = -240.*t37*t225;
  NmatDS[66] = -240.*t331;
  NmatDS[67] = (t94+t358)*t371;
  NmatDS[68] = (-1.+t285)*t372;
  NmatDS[69] = t7*t372;
  NmatDS[70] = (-1.+t289)*t372;
  NmatDS[71] = (t209+t363)*t372;
  NmatDS[72] = t34*t371;
  NmatDS[73] = 360.*t217;
  NmatDS[74] = -NmatDS[16];
  NmatDS[75] = t213-t140+t378;
  NmatDS[76] = t222*(4.+t162+t195);
  NmatDS[77] = t209-t192+t183;
  NmatDS[78] = t63+t51;
  NmatDS[79] = (1.+t202+t199+t183)*t371;
  NmatDS[80] = t30*t215;
  NmatDS[81] = (t201+t199+t357)*t371;
  NmatDS[82] = (-1.+t222*V)*t379;
  NmatDS[83] = -t330;
  NmatDS[84] = t30*t371;
  NmatDS[85] = t33*t371;
  NmatDS[86] = t35*t373;
  NmatDS[87] = 240.*t292;
  NmatDS[88] = t31*t373;
  NmatDS[89] = (t226-t36)*t63;
  NmatDS[90] = t486;
  NmatDS[91] = t384-t50+t382;
  const ST t515 = t36*t36;
  NmatDS[92] = t515*t63;
  NmatDS[93] = (t187+t291+t360)*t372;
  NmatDS[94] = (t209+t193+t186+t360)*t372;
  NmatDS[95] = t224*t284;
  NmatDS[96] = (-2.+t288)*t370;
  NmatDS[97] = t34*t274;
  NmatDS[98] = -240.*t332;
  NmatDS[99] = (-3.+t206)*t374;
  NmatDS[100] = t201-t135+t179;
  NmatDS[101] = t153-t270+t308;
  NmatDS[102] = 2.*t355;
  NmatDS[103] = t2;
  NmatDS[104] = 2.*t334;
  NmatDS[105] = -t356;
  NmatDS[106] = t201+t196-t228;
  NmatDS[107] = -t2;
  NmatDS[108] = t1;
  NmatDS[109] = -3.*t334;
  NmatDS[110] = t160+t144+t186;
  NmatDS[111] = -3.*t355;
  NmatDS[112] = -t222*(12.+t166+t192);
  NmatDS[113] = t62+t50;
  NmatDS[114] = t215+t386+t52;
  NmatDS[115] = 720.*t225+t383;
  NmatDS[116] = 120.*t219-120.*t375;
  NmatDS[117] = (1.+t272)*t371;
  NmatDS[118] = t383;
  NmatDS[119] = (t195+t359)*t371;
  NmatDS[120] = (-1.+t286)*t372;
  NmatDS[121] = (t196+t362)*t372;
  NmatDS[122] = t35*t379;
  NmatDS[123] = t359*t371;
  NmatDS[124] = 600.*t219;
  NmatDS[125] = t50;
  NmatDS[126] = t384;
  const ST t531 = 1060.*t222;
  NmatDS[127] = -600.+t531-1591.*t226+669.*t228-120.*t230;
  NmatDS[128] = t490;
  NmatDS[129] = (3.+t287)*t62;
  NmatDS[130] = (-1.+t272)*t379;
  NmatDS[131] = (-2.+t226)*t370;
  NmatDS[132] = (-2.+t205)*t374;
  const ST t539 = 708.*t222;
  NmatDS[133] = t539-515.*t226+t354;
  const ST t541 = 864.*t222;
  NmatDS[134] = t541-554.*t226+t354;
  const ST t543 = 528.*t222;
  NmatDS[135] = -600.+t543-410.*t226+259.*t228*0.5;
  const ST t546 = 500.*t222;
  NmatDS[136] = -600.+t546-399.*t226+257.*t228*0.5;
  const ST t549 = 692.*t222;
  const ST t551 = 88.*t228;
  NmatDS[137] = -600.+t549-495.*t226+t551;
  NmatDS[138] = -600.-t233;
  const ST t553 = 64.*t228;
  NmatDS[139] = -600.+t442-239.*t226+t553;
  NmatDS[140] = -600.+t93-t139+t252;
  const ST t555 = 56.*t228;
  NmatDS[141] = -600.+t172+119.*t226+t555;
  NmatDS[142] = -600.+t271;
  NmatDS[143] = -600.-t53-t283;
  NmatDS[144] = -600.-t234;
  NmatDS[145] = -t237+t350;
  NmatDS[146] = -600.+t460-233.*t226+t253;
  NmatDS[147] = (36.+t203+t139)*t380;
  const ST t559 = 38.*t228;
  NmatDS[148] = -600.+t71-154.*t226+t559;
  NmatDS[149] = -288.+328.*t222-202.*t226+t255;
  const ST t562 = 14.*t222;
  NmatDS[150] = 3.*(24.+t562+t146)*t38;
  NmatDS[151] = -600.-t251;
  NmatDS[152] = -600.-t549+375.*t226+32.*t228;
  const ST t567 = 64.*t226;
  NmatDS[153] = -600.-t567-t239;
  NmatDS[154] = (144.+51.*t222+t128)*t367;
  NmatDS[155] = -600.+105.*t226+t282;
  NmatDS[156] = -288.+376.*t222-194.*t226+t27;
  const ST t573 = 109.*t226;
  NmatDS[157] = -600.-t573-t280;
  NmatDS[158] = -600.+t64-190.*t226+t256;
  NmatDS[159] = (144.-71.*t222+56.*t226)*t367;
  NmatDS[160] = (6.+t222)*(-200.+t173+55.*t226)*0.5;
  NmatDS[161] = -181.*t226*0.5+t451+t298;
  NmatDS[162] = (56.+t162+t141)*t366;
  NmatDS[163] = (48.+t163+t141)*t366;
  NmatDS[164] = -600.+t174+96.*t226+t391;
  NmatDS[165] = -288.+192.*t222-t269+0.235E2*t228;
  NmatDS[166] = (144.+t206+45.*t226)*t367;
  NmatDS[167] = (144.+t150+44.*t226)*t367;
  NmatDS[168] = (72.+19.*t222+t138)*t38;
  NmatDS[169] = t67+t28+t324;
  NmatDS[170] = (144.+95.*t222+43.*t226)*t367;
  NmatDS[171] = -t120+t28+t342;
  const ST t598 = 42.*t226;
  NmatDS[172] = (-41.*t222+168.+t598)*t367;
  NmatDS[173] = (144.+t169+41.*t226)*t367;
  const ST t602 = 83.*t222;
  NmatDS[174] = (144.+t602+t132)*t367;
  NmatDS[175] = (72.+t208+20.*t226)*t38;
  NmatDS[176] = (72.+t154+t139)*t38;
  const ST t607 = 138.*t222;
  NmatDS[177] = (144.+t607+t133)*t367;
  NmatDS[178] = t149+t259+t342;
  NmatDS[179] = -600.+t87+156.*t226+t103;
  NmatDS[180] = -288.+t91+t47+t103;
  NmatDS[181] = -288.+186.*t222-0.1005E3*t226+t103;
  NmatDS[182] = t377+t260+t323;
  NmatDS[183] = (t134+t295)*t367;
  NmatDS[184] = (144.-t222+t134)*t367;
  NmatDS[185] = -336.+t69+t149+t453;
  NmatDS[186] = (168.+t166+33.*t226)*t367;
  NmatDS[187] = -600.-t221-t236;
  NmatDS[188] = -336.+126.*t222-0.745E2*t226+t232;
  NmatDS[189] = (168.+t170+t135)*t367;
  const ST t619 = 17.*t222;
  NmatDS[190] = (48.-t619+t376)*t366;
  NmatDS[191] = (144.+62.*t222+t136)*t367;
  const ST t623 = 576.*t222;
  NmatDS[192] = -600.+t623-140.*t226+t231;
  NmatDS[193] = (56.+t291)*t366;
  NmatDS[194] = (144.-37.*t222+27.*t226)*t367;
  NmatDS[195] = -600.+t454-t279;
  NmatDS[196] = (t446+72.+t145)*t38;
  const ST t631 = 12.*t228;
  NmatDS[197] = -336.+t478-54.*t226+t631;
  NmatDS[198] = -t137+t263+t323;
  const ST t632 = 53.*t222;
  NmatDS[199] = (168.+t632+t138)*t367;
  NmatDS[200] = -336.+t160+t148+t104;
  NmatDS[201] = -288.-104.*t222+t104;
  NmatDS[202] = (t443+168.+21.*t226)*t367;
  NmatDS[203] = t130+t105+t328;
  NmatDS[204] = -336.+t175+t49+t105;
  NmatDS[205] = t76+t105+t324;
  NmatDS[206] = 10.*(-10.+t222)*t37*t36;
  NmatDS[207] = (168.+115.*t222+t139)*t367;
  NmatDS[208] = -288.+160.*t222-t129+t265;
  NmatDS[209] = -600.+t190-t281;
  NmatDS[210] = (-t632+144.+t140)*t367;
  NmatDS[211] = -600.+t121+t235;
  NmatDS[212] = (168.+t74+t141)*t367;
  const ST t645 = 118.*t222;
  NmatDS[213] = -288.+t645-87.*t226*0.5+t178;
  const ST t647 = 464.*t222;
  NmatDS[214] = t647+t178+t350;
  NmatDS[215] = (144.+t74+t142)*t367;
  NmatDS[216] = -336.+t172+t414+t267;
  NmatDS[217] = -76.*t222+t145+t309;
  NmatDS[218] = t169+t47+t309;
  NmatDS[219] = -288.+t171+t196+t179;
  const ST t650 = 80.*t222;
  NmatDS[220] = -288.-t650+t145+13.*t228*0.5;
  NmatDS[221] = (45.*t222+t296)*t367;
  NmatDS[222] = (11.*t222+t296)*t367;
  NmatDS[223] = (144.-27.*t222+t144)*t367;
  NmatDS[224] = t163+t48+t308;
  NmatDS[225] = (t146+t337)*t367;
  NmatDS[226] = -600.+t129-t238;
  NmatDS[227] = (8.+t222)*(21.+t201)*t367;
  NmatDS[228] = t145+t181+t310;
  NmatDS[229] = (168.+t290)*t367;
  NmatDS[230] = t64-32.*t226+t319;
  NmatDS[231] = -288.+t472-73.*t226*0.5+t181;
  NmatDS[232] = -t277+t319;
  NmatDS[233] = t32*(72.+t202)*t367;
  NmatDS[234] = (54.*t222+t294)*t367;
  NmatDS[235] = (-t222+t294)*t367;
  const ST t670 = 336.*t222;
  NmatDS[236] = -t670+162.*t226+t318;
  NmatDS[237] = t71+t131+t318;
  NmatDS[238] = (t193+t295)*t367;
  NmatDS[239] = -600.-144.*t222+176.*t226+0.25E1*t228;
  NmatDS[240] = t278+t353;
  NmatDS[241] = (144.+t467+t194)*t367;
  NmatDS[242] = (168.+t150+t194)*t367;
  NmatDS[243] = t176+t146+t353;
  NmatDS[244] = -t226+t41+t299;
  NmatDS[245] = (36.+t619+t226)*t380;
  NmatDS[246] = t204+t200+t183;
  NmatDS[247] = -600.+t125+t293;
  NmatDS[248] = (56.+47.*t222+t226)*t366;
  NmatDS[249] = -336.+t77+t131+t42;
  NmatDS[250] = (48.+24.*t222+t226)*t366;
  NmatDS[251] = (55.*t222+144.+t195)*t367;
  NmatDS[252] = -336.+t192+t293;
  NmatDS[253] = (t164+168.+t195)*t367;
  NmatDS[254] = -288.+152.*t222+t148+t42;
  NmatDS[255] = (t196+t337)*t367;
  NmatDS[256] = (72.+t441+t226)*t38;
  NmatDS[257] = (t444+t338)*t38;
  NmatDS[258] = (t158+t338)*t38;
  NmatDS[259] = t222*(-8.+t288);
  NmatDS[260] = (144.+t289)*t367;
  NmatDS[261] = -600.+148.*t226+t479;
  NmatDS[262] = (168.+t70+t226)*t367;
  NmatDS[263] = t43+t325;
  NmatDS[264] = t135+t43+t310;
  NmatDS[265] = -288.+t167+t137+t43;
  NmatDS[266] = -336.+t155+t481+t43;
  NmatDS[267] = 27.*t226*0.5+t43+t311;
  NmatDS[268] = -600.+196.*t222-47.*t226-t228*0.5;
  NmatDS[269] = -336.+t86+143.*t226*0.5-t228;
  NmatDS[270] = -(-84.-t155+t226)*t38;
  NmatDS[271] = -t222*(8.+t285);
  NmatDS[272] = t57+t44+t321;
  NmatDS[273] = -298.*t222+203.*t226*0.5+t345;
  NmatDS[274] = -288.+t85+t23+t44;
  const ST t706 = 94.*t222;
  NmatDS[275] = t706+7.*t226*0.5+t345;
  NmatDS[276] = 114.*t222-t48+t345;
  NmatDS[277] = t85+t22+t307;
  NmatDS[278] = (-33.*t222+t339)*t381;
  NmatDS[279] = (t167+t339)*t381;
  NmatDS[280] = 110.*t222+t48+t307;
  NmatDS[281] = t438+t573+t352;
  NmatDS[282] = t70+t567+t352;
  NmatDS[283] = -336.+t161+57.*t226*0.5+t45;
  NmatDS[284] = (-144.+57.*t222+t194)*t368;
  NmatDS[285] = -t278+t352;
  NmatDS[286] = t79+74.*t226+t317;
  NmatDS[287] = (-168.+t177+t193)*t368;
  NmatDS[288] = -336.-50.*t222+91.*t226*0.5+t185;
  NmatDS[289] = t462-53.*t226*0.5-288.+t185;
  NmatDS[290] = t670-t598+t317;
  NmatDS[291] = (-168.-87.*t222+t192)*t368;
  NmatDS[292] = t277+t316;
  NmatDS[293] = t102+152.*t226+t316;
  NmatDS[294] = t93+t120+t306;
  NmatDS[295] = t82+t125+t306;
  NmatDS[296] = -92.*t222+t129+t306;
  NmatDS[297] = t176+58.*t226+t306;
  NmatDS[298] = (-6.+t222)*(7.+t206)*t381;
  NmatDS[299] = (-144.+t290)*t368;
  NmatDS[300] = t75+t127+t344;
  NmatDS[301] = t650+t139+t344;
  NmatDS[302] = -288.+t69+t197+t46;
  NmatDS[303] = t98+t59+t305;
  NmatDS[304] = t80+t22+t305;
  NmatDS[305] = -t706+t187+t343;
  NmatDS[306] = -t222*(12.+t164+t194);
  NmatDS[307] = -t3;
  NmatDS[308] = -(3.+t203)*t330;
  NmatDS[309] = -600.+180.*t226+t238;
  NmatDS[310] = 102.*t226-t268+t340;
  NmatDS[311] = -336.+t91+199.*t226*0.5-t268;
  NmatDS[312] = t175-t387+t343;
  NmatDS[313] = t207+99.*t226*0.5+t304;
  NmatDS[314] = 42.*t222+77.*t226*0.5+t304;
  NmatDS[315] = t83+175.*t226*0.5+t242;
  NmatDS[316] = t75+75.*t226+t242;
  NmatDS[317] = (-168.-77.*t222+t142)*t368;
  NmatDS[318] = -16.*t222+t130+t242;
  const ST t745 = 384.*t222;
  NmatDS[319] = -600.+t745-t127-t267;
  NmatDS[320] = -t647+t189+t351;
  NmatDS[321] = t88+201.*t226*0.5+t297;
  NmatDS[322] = t87+t120+t297;
  NmatDS[323] = t174+t127+t297;
  NmatDS[324] = t172+63.*t226+t297;
  NmatDS[325] = t171+t128+t297;
  NmatDS[326] = t168+t25+t297;
  NmatDS[327] = -600.-t546+279.*t226-t266;
  NmatDS[328] = -288.-260.*t222+117.*t226-t266;
  NmatDS[329] = t76+83.*t226+t249;
  NmatDS[330] = -t562+t25+t249;
  NmatDS[331] = 162.*t222+t270+t249;
  NmatDS[332] = -600.-t121-t235;
  NmatDS[333] = -600.+231.*t226+t281;
  NmatDS[334] = -600.-t543+290.*t226-t265;
  NmatDS[335] = t90+223.*t226*0.5+t248;
  NmatDS[336] = t89+t60+t248;
  NmatDS[337] = -206.*t222+t19+t248;
  NmatDS[338] = -168.*t222+101.*t226+t248;
  NmatDS[339] = t77+t123+t248;
  const ST t760 = 78.*t226;
  NmatDS[340] = -288.-88.*t222+t760-t265;
  NmatDS[341] = t158+t26+t248;
  NmatDS[342] = -560.*t222+t53+t327;
  NmatDS[343] = t95+t59+t315;
  NmatDS[344] = t168+t23+t315;
  NmatDS[345] = t65+68.*t226+t327;
  NmatDS[346] = t73+t145+t327;
  NmatDS[347] = t92+247.*t226*0.5+t247;
  NmatDS[348] = -212.*t222+113.*t226+t241;
  NmatDS[349] = t85+t20+t241;
  NmatDS[350] = -t152+t121+t247;
  NmatDS[351] = t172+t126+t241;
  NmatDS[352] = -336.+t153+t26+t107;
  NmatDS[353] = -600.+t76-t760+t107;
  NmatDS[354] = -284.*t222+t58+t246;
  NmatDS[355] = -336.-156.*t222+106.*t226-0.115E2*t228;
  NmatDS[356] = t473+67.*t226*0.5+t246;
  NmatDS[357] = t137-t263+t320;
  NmatDS[358] = -178.*t222+0.1105E3*t226-288.+t40;
  NmatDS[359] = -130.*t222+0.1015E3*t226-336.+t40;
  NmatDS[360] = t173-t631+t300;
  NmatDS[361] = -336.-166.*t222+0.1125E3*t226-0.125E2*t228;
  NmatDS[362] = t34*(-144.+t157)*t368;
  NmatDS[363] = t24-25.*t228*0.5+t311;
  NmatDS[364] = -600.+t108+t279;
  NmatDS[365] = -336.-150.*t222+t19+t108;
  NmatDS[366] = -288.-t160+t126+t108;
  NmatDS[367] = t88+245.*t226*0.5-288.-t262;
  NmatDS[368] = -170.*t222+235.*t226*0.5+t245;
  NmatDS[369] = t80+217.*t226*0.5+t245;
  NmatDS[370] = -600.-t623+260.*t226+t109;
  NmatDS[371] = -254.*t222+t17+t314;
  NmatDS[372] = t82+116.*t226+t314;
  NmatDS[373] = -288.-122.*t222+0.1045E3*t226-14.*t228;
  NmatDS[374] = -288.+t158+137.*t226*0.5+t109;
  NmatDS[375] = -484.*t222+t55+t240;
  NmatDS[376] = t99+321.*t226*0.5+t240;
  NmatDS[377] = -336.-180.*t222+t269-0.145E2*t228;
  NmatDS[378] = -t607+t19+t240;
  NmatDS[379] = (-168.-t602+t136)*t368;
  NmatDS[380] = -132.*t222+t60+t303;
  NmatDS[381] = -(-72.+t170+t142)*t38;
  NmatDS[382] = 310.*t222+t49+t303;
  NmatDS[383] = t96+307.*t226*0.5+t313;
  const ST t803 = 26.*t222;
  NmatDS[384] = -t803+t21+t313;
  NmatDS[385] = -288.-356.*t222+173.*t226-t261;
  NmatDS[386] = -336.+t96+t15-t261;
  NmatDS[387] = t236+t325;
  NmatDS[388] = -288.+t89+t58+t112;
  NmatDS[389] = -336.+t81+t18+t112;
  NmatDS[390] = -222.*t222-t260+t346;
  NmatDS[391] = 142.*t226-t260+t320;
  NmatDS[392] = t156-t260+t300;
  const ST t809 = 134.*t226;
  NmatDS[393] = -288.-176.*t222+t809+t113;
  NmatDS[394] = -336.-146.*t222+0.1295E3*t226-18.*t228;
  NmatDS[395] = t169+205.*t226*0.5-336.+t113;
  NmatDS[396] = t466+84.*t226+t326;
  NmatDS[397] = 81.*t226+t113+t299;
  const ST t816 = 164.*t222;
  NmatDS[398] = t816+31.*t226+t326;
  NmatDS[399] = -198.*t222+289.*t226*0.5+t244;
  NmatDS[400] = t169+209.*t226*0.5+t244;
  NmatDS[401] = (-144.+t133)*t368;
  NmatDS[402] = (-168.-97.*t222+38.*t226)*t368;
  NmatDS[403] = -288.-404.*t222+t55-39.*t228*0.5;
  NmatDS[404] = -218.*t222+t15+t312;
  NmatDS[405] = t86+295.*t226*0.5+t312;
  NmatDS[406] = t83+t17+t312;
  NmatDS[407] = -106.*t222+t18+t312;
  NmatDS[408] = -270.*t222+341.*t226*0.5+t243;
  NmatDS[409] = t80+273.*t226*0.5+t243;
  NmatDS[410] = -288.-300.*t222+177.*t226-21.*t228;
  NmatDS[411] = 252.*t226-t28+t348;
  NmatDS[412] = -288.-346.*t222+t14-t28;
  NmatDS[413] = -336.+t79+139.*t226-t28;
  NmatDS[414] = -98.*t222+261.*t226*0.5+t302;
  NmatDS[415] = 58.*t222+t21+t302;
  NmatDS[416] = -336.+t100+200.*t226+t116;
  NmatDS[417] = t20+t116+t298;
  NmatDS[418] = -t645-24.*t228+t346;
  NmatDS[419] = -t541+434.*t226+t250;
  NmatDS[420] = -t539+395.*t226+t250;
  NmatDS[421] = -288.-20.*t222+121.*t226-t258;
  NmatDS[422] = t99+405.*t226*0.5+t301;
  NmatDS[423] = -334.*t222+403.*t226*0.5+t301;
  NmatDS[424] = -336.+t84+329.*t226*0.5+t117;
  NmatDS[425] = t440+144.*t226-600.+t117;
  NmatDS[426] = (-56.-66.*t222+t141)*t369;
  NmatDS[427] = -288.+t81+317.*t226*0.5-51.*t228*0.5;
  NmatDS[428] = -288.-230.*t222+359.*t226*0.5+t118;
  NmatDS[429] = t200+t118+t349;
  NmatDS[430] = -288.-170.*t222+0.1665E3*t226-0.265E2*t228;
  NmatDS[431] = -336.-234.*t222+379.*t226*0.5-t257;
  NmatDS[432] = -600.+268.*t222+103.*t226-t257;
  NmatDS[433] = -358.*t222+445.*t226*0.5-336.-28.*t228;
  NmatDS[434] = -600.+t102+310.*t226-t256;
  NmatDS[435] = -600.+349.*t226+t280;
  NmatDS[436] = t54-t27+t340;
  NmatDS[437] = -600.+135.*t226-t282;
  NmatDS[438] = -336.+t88+t13-61.*t228*0.5;
  NmatDS[439] = -288.+t90+389.*t226*0.5-31.*t228;
  NmatDS[440] = (-144.-65.*t222+t128)*t368;
  NmatDS[441] = -600.+304.*t226+t239;
  NmatDS[442] = -600.+t251;
  NmatDS[443] = 219.*t226+t119+t347;
  NmatDS[444] = 429.*t226*0.5+t119+t341;
  NmatDS[445] = (-48.+t170+23.*t226)*t369;
  NmatDS[446] = -336.+t78+t14-t255;
  NmatDS[447] = -288.+t100+247.*t226-71.*t228*0.5;
  NmatDS[448] = (-144.+t177+71.*t226)*t368;
  NmatDS[449] = -288.+t78+t13-36.*t228;
  NmatDS[450] = (18.+t157)*t273;
  NmatDS[451] = -600.+t79+274.*t226-t559;
  NmatDS[452] = 469.*t226*0.5-39.*t228+t341;
  NmatDS[453] = (21.+t803)*t273;
  NmatDS[454] = -288.+t84+439.*t226*0.5-79.*t228*0.5;
  NmatDS[455] = -(-72.-73.*t222+t132)*t38;
  NmatDS[456] = -412.*t222+283.*t226-288.-t254;
  const ST t899 = 364.*t222;
  NmatDS[457] = -600.-t899+253.*t226-t254;
  NmatDS[458] = -600.+t95+353.*t226-t253;
  NmatDS[459] = -288.+t99+557.*t226*0.5-44.*t228;
  NmatDS[460] = t237+t351;
  NmatDS[461] = -190.*t222+491.*t226*0.5-288.-45.*t228;
  NmatDS[462] = 278.*t226-93.*t228*0.5+t328;
  NmatDS[463] = t123-47.*t228+t322;
  NmatDS[464] = -600.+t234;
  NmatDS[465] = -600.+t53+t283;
  NmatDS[466] = -600.-t271;
  const ST t910 = 784.*t222;
  NmatDS[467] = -600.-t910+254.*t226-52.*t228;
  const ST t913 = 512.*t222;
  NmatDS[468] = t913+t127-600.-t555;
  NmatDS[469] = -600.+t461+t139-t252;
  const ST t914 = 96.*t222;
  NmatDS[470] = -600.-t914+88.*t226-61.*t228;
  NmatDS[471] = -t913+294.*t226-600.-t553;
  NmatDS[472] = -600.+t233;
  NmatDS[473] = -600.+t910-t809-68.*t228;
  NmatDS[474] = -600.-t531+271.*t226-69.*t228;
  NmatDS[475] = t53-73.*t228+t321;
  NmatDS[476] = -600.+t65+82.*t226-147.*t228*0.5;
  NmatDS[477] = -600.+t899+107.*t226-159.*t228*0.5;
  NmatDS[478] = 141.*t226-86.*t228+t349;
  NmatDS[479] = t57-t551+t322;
  NmatDS[480] = 369.*t226-94.*t228+t347;
  NmatDS[481] = -600.-t816+329.*t226-102.*t228;
  const ST t932 = 288.*t222;
  NmatDS[482] = -600.-t932+320.*t226-107.*t228;
  NmatDS[483] = -600.+t73+t54-109.*t228;
  NmatDS[484] = -600.-t745+426.*t226-225.*t228*0.5;
  NmatDS[485] = -600.-196.*t222+407.*t226-239.*t228*0.5;
  NmatDS[486] = -600.+t932+160.*t226-133.*t228;
  NmatDS[487] = 316.*t226-152.*t228+t321;
  NmatDS[488] = -600.+t914+392.*t226-179.*t228;
  NmatDS[489] = t31*t62;
  NmatDS[490] = t386+t383;
  NmatDS[491] = 136.*t226+t348;
  NmatDS[492] = 12.*(6.+t203)*t38;
  NmatDS[493] = (42.+29.*t222)*t380;
  NmatDS[494] = -288.+t211+39.*t226*0.5;
  NmatDS[495] = -288.+t207+37.*t226*0.5;
  NmatDS[496] = -600.+t67-16.*t226;
  NmatDS[497] = -288.+t465-65.*t226*0.5;
  NmatDS[498] = (1.+t161+t194)*t371;
  NmatDS[499] = t230*t215;
  NmatDS[500] = t371;

  assert(500 < NmatDSLen);
}

template <typename T>
void Amp2q5g_ds5<T>::getfvpart1ds(const int fv, LoopValue* fvpart)
{
  return getfvpart1ds_(fv, fvpart);
}

template <typename T>
void Amp2q5g_ds5<T>::getfvpart1ds(const int fv, LoopResult<T>* fvpart)
{
  return getfvpart1ds_(fv, fvpart);
}

template <typename T>
template <typename LT>
inline
void Amp2q5g_ds5<T>::getfvpart1ds_(const int fv, LT* fvpart)
{
  fvSet(fv);
  fvpart[0] = AL(0,1,2,3,4,5,6);
  fvpart[1] = AL(0,2,1,3,4,5,6);
  fvpart[2] = AL(0,2,3,1,4,5,6);
  fvpart[3] = AL(0,2,3,4,1,5,6);
  fvpart[4] = AL(0,2,3,4,5,1,6);
  fvpart[5] = AL(0,2,3,4,5,6,1);

  if (Nf != 0.) {
    fvpart[6] = Nf*AF(0,1,2,3,4,5,6);
    fvpart[7] = Nf*AF(0,2,1,3,4,5,6);
    fvpart[8] = Nf*AF(0,2,3,1,4,5,6);
    fvpart[9] = Nf*AF(0,2,3,4,1,5,6);
  } else {
    fvpart[6] = LT();
    fvpart[7] = LT();
    fvpart[8] = LT();
    fvpart[9] = LT();
  }
}

#ifdef USE_SD
  template class Amp2q5g_ds5<double>;
#endif
#ifdef USE_DD
  template class Amp2q5g_ds5<dd_real>;
#endif
#ifdef USE_QD
  template class Amp2q5g_ds5<qd_real>;
#endif
#ifdef USE_VC
  template class Amp2q5g_ds5<Vc::double_v>;
#endif
